#ifndef TOUCH_H
#define TOUCH_H

extern "C"
{
#include <os.h>
#include "SDL/SDL.h"
}

class Touch
{
public:
   Touch(SDL_Surface* pScreen);
   ~Touch();

   bool Loop();

protected:
   bool PollEvents();
   void UpdateDisplay();

protected:
   SDL_Surface	*m_pScreen;//Does not own
   nSDL_Font       *m_pFont;
   touchpad_report_t m_tpad_report;
   touchpad_info_t* m_ptad_info;
};

#endif
